<?
include_once ("../config.php");

// 파일이 존재한다면 설치할 수 없다.
if (file_exists("../dbconfig.php")) {
    echo "<meta http-equiv='content-type' content='text/html; charset=$g4[charset]'>";
    echo <<<HEREDOC
    <script language="JavaScript">
    alert("설치하실 수 없습니다.");
    location.href="../";
    </script>
HEREDOC;
    exit;
}

$gmnow = gmdate("D, d M Y H:i:s") . " GMT";
header("Expires: 0"); // rfc2616 - Section 14.21
header("Last-Modified: " . $gmnow);
header("Cache-Control: no-store, no-cache, must-revalidate"); // HTTP/1.1
header("Cache-Control: pre-check=0, post-check=0, max-age=0"); // HTTP/1.1
header("Pragma: no-cache"); // HTTP/1.0
/*
if ($_POST["agree"] != "동의함") {
    echo "<meta http-equiv='content-type' content='text/html; charset=$g4[charset]'>";
    echo <<<HEREDOC
    <script language="JavaScript">
    alert("라이센스(License) 내용에 동의하셔야 설치를 계속하실 수 있습니다.");
    history.back();
    </script>
HEREDOC;
    exit;
}
*/

?>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=<?=$g4[charset]?>">
<title>지음빌더 for 그누보드4 설치 (2/3) - 설정</title>
<style>
@font-face { font-family:'나눔고딕'; src:url("../zm.extend/fonts/NanumGothic.eot");}
@font-face { font-family:'나눔고딕'; src:url("../zm.extend/fonts/NanumGothic.woff");}
</style>
<style type="text/css">
body {
    font-family: 굴림;
	font-size: 12px;
	background:url("./img/bg.gif");
}
td { font-size:12px; }
td input[type="text"] { font-size:12px;  }
img { border:0; }
.box {
    font-family:굴림;
	background-color: #333333;
	font-size: 12px;
}
table tr td { font:12px 나눔고딕; }
table tr td strong { font:14px 나눔고딕; }
table tr td input	{ padding:4px; border:1px solid #656565; border-radius:3px; }

.msg > div	{ font-size:12px; color:#333333; padding:2px; text-align:left; font:12px 나눔고딕; }

#zmb_agree_body	{ text-align:center; padding:50px; }
#zmb_agree_box	{ width:750px; margin:20px auto; padding:20px; background:#fff; border:1px solid #D3D3D3; }
</style>
</head>

<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div id="zmb_agree_body">
<div><img src="img/box_title.gif"></div>
<div id="zmb_agree_box">
	<form name=frm method=post action="javascript:frm_submit(document.frm)" autocomplete="off">
	<div style="border:1px solid #F7F7F7; margin:20px;">
    <table width="100%" border="0" align="center" cellpadding="10" cellspacing="0" bgcolor="#FBFBFB">
	<tr> 
		<td width="50%" valign="top">
			<strong>MySQL 정보입력 </strong><br><br>
			<table width="100%" border="0" cellpadding="0" cellspacing="0">
            <tr> 
                  <td width="30%" align="right" height=30>Host :&nbsp;</td>
                  <td width="50%"><input name="mysql_host" size="15" type="text" value="localhost"></td>
			</tr>
            <tr> 
                  <td align="right" height=30>User :&nbsp;</td>
                  <td width="50%"><input name="mysql_user" size="15" type="text"></td>
			</tr>
			<tr> 
                  <td align="right" height=30>Password :&nbsp;</td>
                  <td width="50%"><input name="mysql_pass" size="15" type="text"></td>
			</tr>
			<tr> 
                  <td align="right" height=30>Database name :&nbsp;</td>
                  <td width="50%"><input name="mysql_db" size="15" type="text"></td>
			</tr>
			</table>
		</td>
        <td valign="top">
			<strong>최고관리자 정보입력</strong> <br><br>
            <table width="100%" border="0" cellpadding="0" cellspacing="0">
			<tr> 
				<td width="30%" align="right" height=30>아이디 :&nbsp;</td>
                <td><input name="admin_id" type="text" value="admin" onkeypress="only_alpha();"></td>
			</tr>
			<tr> 
                <td align="right" height=30>비밀번호 :&nbsp;</td>
                <td><input name="admin_pass" type="text"></td>
            </tr>
            <tr> 
                <td align="right" height=30>이름 :&nbsp;</td>
                <td><input name="admin_name" type="text" value="최고관리자"></td>
            </tr>
            <tr> 
                <td align="right" height=30>이메일 :&nbsp;</td>
                <td><input name="admin_email" type="text" size="30" value="admin@domain"></td>
            </tr>
            </table>
		</td>
	</tr>
    </table>
	</div>
    <div class="msg">
		<div style="color:#FF0000;">· 이미 그누보드4가 존재한다면 DB 자료가 망실되므로 주의하십시오.</div>
	    <div>· 관리자 보안을 위해 아이디는 기본으로 제시한 "admin"을 바꿔 사용해 주세요.</div>
		<div>· 이메일은 형식에 맞게 등록해 주세요. <b>임의로 작성 할 경우 중요한 관리 정보가 타인에게 유출 될 수 있습니다.</b></div>
		<div>· MySQL의 Host를 localhost로 했을 때 설치가 되지 않으면 127.0.0.1로 하시기 바랍니다.</div>
		<div>· MySQL의 Host는 호스팅 업체 또는 네트워크 환경에 따라서 localhost가 아닌 고유한 주소를 갖기도 합니다.</div>
		<div style="text-align:center; padding:20px;"><input type="submit" name="Submit2" value=" 다   음 " style="cursor:pointer; height:40px;"></div>
	</div>
    </form>
</div>

<script language="JavaScript">
<!--
function frm_submit(f)
{
    if (f.mysql_host.value == "")
    {   
        alert("MySQL Host 를 입력하십시오."); f.mysql_host.focus(); return; 
    }
    else if (f.mysql_user.value == "")
    {
        alert("MySQL User 를 입력하십시오."); f.mysql_user.focus(); return; 
    }
    else if (f.mysql_db.value == "")
    {
        alert("MySQL DB 를 입력하십시오."); f.mysql_db.focus(); return; 
    }
    else if (f.admin_id.value == "")
    {
        alert("최고관리자 ID 를 입력하십시오."); f.admin_id.focus(); return; 
    }
    else if (f.admin_pass.value == "")
    {
        alert("최고관리자 패스워드를 입력하십시오."); f.admin_pass.focus(); return; 
    }
    else if (f.admin_name.value == "")
    {
        alert("최고관리자 이름을 입력하십시오."); f.admin_name.focus(); return; 
    }
    else if (f.admin_email.value == "")
    {
        alert("최고관리자 E-mail 을 입력하십시오."); f.admin_email.focus(); return; 
    }


    if(/[^a-zA-Z]/g.test(f.admin_id.value)) {
        alert("최고관리자 ID 가 영문자가 아닙니다.");
        f.admin_id.focus();
    }

    f.action = "./install_db.php";
    f.submit();

    return true;
}

// 영문자만 입력 가능   
function only_alpha() 
{
    var c = event.keyCode;
    if (!(c >= 65 && c <= 90 || c >= 97 && c <= 122)) {
        event.returnValue = false;
    }
}

function view_help(n) {
	var msg = "";

	if(n == 1) msg = "DB 서버의 주소입니다. 기본값은 localhost이며 원격 DB 서버일 때만 서버 주소를 입력 해 주세요.";
	if(n == 2) msg = "DB 사용자 이름입니다. mysql 옵션 -u에 해당합니다. 영문만 가능합니다.";
	if(n == 3) msg = "DB 비밀번호입니다. mysql 옵션 -p에 해당합니다.";
	if(n == 4) msg = "DB 이름입니다.";

	alert(msg);
}

document.frm.mysql_user.focus();
//-->
</script>

</body>
</html>
